#ifndef DOUBLE_CLICK_H
#define DOUBLE_CLICK_H

#include "numbered.h"
#include "split.h"

bool centeringSmallConsole(int hidden);
bool movingInside(HWND hwnd, bool showWhere);
bool startDepressed();
bool startHandler();
LRESULT CALLBACK WindowFunc(HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam);
VOID CALLBACK showWhereCursor(HWND hwnd, UINT uMsg, UINT idEvent, DWORD dwTime);
VOID CALLBACK TimerProc(HWND hwnd, UINT uMsg, UINT idEvent, DWORD dwTime);
void centering(HWND hwnd);
void closing(bool task_completed);
void cornerHandler(HWND hwnd);
void createDoubleClickText();
void diagonalHandler(HWND hwnd);
void guide(bool comment);
void layout();
void helpHandler(WPARAM wParam);
void rightHandler(HWND hwnd);
void executeProgram(const char *p, const char *q);
void executeProgram(std::string & e, std::string & o);
void underHandler(HWND hwnd);

#endif // DOUBLE_CLICK_H
