package info.lotosummary.software;
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import javax.swing.*;
import javax.swing.border.*;

public class GizeFrame_AboutBox extends JDialog implements ActionListener {
    static final String NO_ERROR = "No error";
    static final String DOUBLE_CLICK_ACROBAT = "doubleClick.exe -p";

    private BorderLayout borderLayout1 = new BorderLayout();
    private BorderLayout borderLayout2 = new BorderLayout();
    private JButton button1 = new JButton();
    private JLabel jLabel1 = new JLabel();
    private JLabel jLabel2 = new JLabel();
    private JLabel jLabel3 = new JLabel();
    private JLabel jLabel4 = new JLabel();
    private JLabel jLabel5 = new JLabel();
    private JLabel jLabel6 = new JLabel();
    private JLabel jLabel7 = new JLabel();
    private JLabel jLabel8 = new JLabel();
    private JPanel jPanel1 = new JPanel();
    private JPanel panel1 = new JPanel();

    String error;
    String version = "1";

    public GizeFrame_AboutBox(Frame parent) {
        super(parent);
        enableEvents(AWTEvent.WINDOW_EVENT_MASK);
        try {
            jbInit();
        } catch(Exception e46) {
            error = "Exception e46";
        }
    }

    private void jbInit() throws Exception  {
        this.setTitle("Version");
        panel1.setLayout(borderLayout1);
        ImageIcon icon = new ImageIcon("info/gize86.gif");
        jLabel1 = new JLabel(icon);
        jLabel2.setForeground(SystemColor.inactiveCaptionText);
        jLabel2.setText(" ");
        jLabel3.setText("Gize Swing");
        jLabel4.setForeground(SystemColor.inactiveCaptionText);
        jLabel4.setText(" ");
        jPanel1.setLayout(borderLayout2);
        jLabel5.setText("Copyright 2017 Sogaya");
        button1.setText("Help");
        button1.addActionListener(this);
        jLabel6.setForeground(SystemColor.inactiveCaptionText);
        jLabel6.setText("---------");
        jLabel7.setForeground(SystemColor.inactiveCaptionText);
        jLabel7.setText("----------");
        jLabel8.setText( "Version " + version );
        this.getContentPane().add(panel1, null);
        panel1.add(jLabel2, BorderLayout.WEST);
        panel1.add(jLabel3,  BorderLayout.CENTER);
        panel1.add(jLabel4, BorderLayout.EAST);
        panel1.add(jPanel1,  BorderLayout.SOUTH);
        jPanel1.add(jLabel5,  BorderLayout.NORTH);
        jPanel1.add(jLabel7, BorderLayout.EAST);
        jPanel1.add(button1,  BorderLayout.WEST);
        jPanel1.add(jLabel8,  BorderLayout.SOUTH);
        jPanel1.add(jLabel6, BorderLayout.CENTER);
        panel1.add(jLabel1, BorderLayout.NORTH);
        error = NO_ERROR;
        setResizable(false);
    }

    protected void processWindowEvent(WindowEvent e) {
        if( e.getID() == WindowEvent.WINDOW_CLOSING ) {
            cancel();
        }
        super.processWindowEvent(e);
    }

    void cancel() {
        dispose();
    }

    public void actionPerformed(ActionEvent e) {
        if( e.getSource() == button1 ) {
            try {
                Runtime rt = Runtime.getRuntime();
                rt.exec(DOUBLE_CLICK_ACROBAT);
            } catch (SecurityException e52) {
                jLabel8.setText("SecurityException e52");
            } catch (IOException e56) {
                jLabel8.setText("IOException e56");
            }

            cancel();
        }

    }

    public void setVersion(String v) {
        version = v;
        jLabel8.setText( "Version " + version );
    }

}
